/* The Modal (background) */
.modal {
  display: none;
  position: fixed;
  z-index: 99999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.7);
}

/* Modal Content/Box */
.modal-content {
  background-color: rgba(69, 40, 60, 1);
  margin: 15% auto; /* 15% from the top and centered */
  padding: 20px;
  width: 80%; /* Could be more or less, depending on screen size */
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  .flex {
    width: 30%;
  }
  #playerSword {
    position: relative;
  }
  img {
    width: 80%;
  }
  button {
    margin-top: 20px;
    padding: 5px 10px;
    border: none;
    background: none;
    width: 20%;
    cursor: pointer;
    img {
      width: 100%;
    }
  }
}
.keymodal {
  background: none;
  .mspace {
    width: 100%;
    animation: twinkle 500ms linear infinite alternate;
  }
}
@keyframes twinkle {
  0% {
    background: none;
  }
  100% {
    background: saddlebrown;
  }
}

// ======================== INDEX =======================

/* Modal Content/Box */
.indexmodal-content {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  background-color: rgba(69, 40, 60, 1);
  margin: 15% auto;
  padding: 20px;
  width: 60%;
  .scoreboard {
    display: flex;
    align-items: center;
  }
  .imgchest {
    width: 40%;
    img {
      width: 100%;
    }
  }
  .parchment {
    background-image: url("../assets/Menu/scroll.png");
    background-size: cover;
    padding: 10% 15%;
    font-family: pirateFont;
    font-size: 25px;
    .results {
      display: flex;
    }
  }
}
.board {
  margin-left: 20px;
}
.deathpanel {
  display: flex;
  align-items: center;
  img {
    width: 30px;
    margin-right: 5px;
  }
  .death {
    margin-left: 5px;
  }
}
.help {
  display: none;
  &.true {
    display: block;
  }
  img {
    width: 30px;
  }
}
#closeModal {
  background: none;
  border: none;
  margin-bottom: 20px;
  img {
    width: 35px;
    cursor: pointer;
  }
}
